<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>D-Index</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;<a name="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html#damage">damage</a></span> - Variable in class ch.sebi.zuul.logic.items.items.weapon.<a href="../ch/sebi/zuul/logic/items/items/weapon/BasicWeapon.html" title="class in ch.sebi.zuul.logic.items.items.weapon">BasicWeapon</a></dt>
<dd>
<div class="block">how much damage the weapon makes</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/map/Room.html#description">description</a></span> - Variable in class ch.sebi.zuul.logic.map.<a href="../ch/sebi/zuul/logic/map/Room.html" title="class in ch.sebi.zuul.logic.map">Room</a></dt>
<dd>
<div class="block">the description of the room</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/items/food/Food.html#destroyOnUse--">destroyOnUse()</a></span> - Method in class ch.sebi.zuul.logic.items.items.food.<a href="../ch/sebi/zuul/logic/items/items/food/Food.html" title="class in ch.sebi.zuul.logic.items.items.food">Food</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/items/Usable.html#destroyOnUse--">destroyOnUse()</a></span> - Method in interface ch.sebi.zuul.logic.items.<a href="../ch/sebi/zuul/logic/items/Usable.html" title="interface in ch.sebi.zuul.logic.items">Usable</a></dt>
<dd>
<div class="block">Returns if the item is destroyed on use</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.html#discover--">discover()</a></span> - Method in class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.html" title="class in ch.sebi.zuul.command">CommandDiscoverer</a></dt>
<dd>
<div class="block">Searches the given path after annotations</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html#DiscoveredCommand-ch.sebi.zuul.command.CommandExecutor-java.lang.String-java.lang.String-java.lang.String-java.lang.String-">DiscoveredCommand(CommandExecutor, String, String, String, String)</a></span> - Constructor for class ch.sebi.zuul.command.<a href="../ch/sebi/zuul/command/CommandDiscoverer.DiscoveredCommand.html" title="class in ch.sebi.zuul.command">CommandDiscoverer.DiscoveredCommand</a></dt>
<dd>
<div class="block">constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ch/sebi/zuul/logic/MainGame.html#displayWelcome--">displayWelcome()</a></span> - Method in class ch.sebi.zuul.logic.<a href="../ch/sebi/zuul/logic/MainGame.html" title="class in ch.sebi.zuul.logic">MainGame</a></dt>
<dd>
<div class="block">Displays the welcome message</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-3.html">Prev Letter</a></li>
<li><a href="index-5.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-4.html" target="_top">Frames</a></li>
<li><a href="index-4.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
